Page MenuHomePhabricator

Broken apt config on kafka/analytics hosts
Closed, ResolvedPublic3 Story Points

Description

The kafka/analytics hosts have a broken apt config:

Running "apt-get update" shows "Unable to find expected entry 'thirdparty/confluent/source/Sources" in Release file".

/etc/apt/sources.list.d/thirdparty-confluent.list in fact adds "thirdparty/confluent" for jessie-wikimedia, but it only exists for stretch. This current prevents apt from noticing new package changes, e.g. "apt-get install debmonitor-client" fails as a consequence.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2018, 12:45 PM
MoritzMuehlenhoff triaged this task as High priority.Jun 25 2018, 12:46 PM

Change 441861 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] confluent::kafka::common: add workaround for apt on jessie hosts

https://gerrit.wikimedia.org/r/441861

Change 441861 merged by Elukey:
[operations/puppet@production] confluent::kafka::common: add workaround for apt on jessie hosts

https://gerrit.wikimedia.org/r/441861

Change 441876 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] confluent::kafka::common: fix copy/paste mistake

https://gerrit.wikimedia.org/r/441876

Change 441876 merged by Elukey:
[operations/puppet@production] confluent::kafka::common: fix copy/paste mistake

https://gerrit.wikimedia.org/r/441876

elukey set the point value for this task to 3.
elukey moved this task from Next Up to Done on the Analytics-Kanban board.
Nuria assigned this task to elukey.Jun 25 2018, 3:03 PM
Vvjjkkii renamed this task from Broken apt config on kafka/analytics hosts to rcaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii removed elukey as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: elukey; removed: gerritbot, Aklapper.
elukey renamed this task from rcaaaaaaaa to Broken apt config on kafka/analytics hosts.Jul 2 2018, 6:00 AM
elukey claimed this task.
elukey updated the task description. (Show Details)
fdans closed this task as Resolved.Jul 2 2018, 4:09 PM
CommunityTechBot set the point value for this task to 3.Jul 5 2018, 7:06 PM